List supported chains
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/chains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api-staging.keystoneos.xyz/v1/chains \
--header 'Authorization: Bearer <token>'[
{
"chain_id": 123,
"name": "<string>",
"layerzero_eid": 123,
"escrow_address": "<string>",
"settlement_address": "<string>",
"router_address": "<string>",
"compliance_registry_address": "<string>"
}
]Chains
List supported chains
Returns the list of blockchain networks supported for settlement.
GET
/
v1
/
chains
List supported chains
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/chains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api-staging.keystoneos.xyz/v1/chains \
--header 'Authorization: Bearer <token>'[
{
"chain_id": 123,
"name": "<string>",
"layerzero_eid": 123,
"escrow_address": "<string>",
"settlement_address": "<string>",
"router_address": "<string>",
"compliance_registry_address": "<string>"
}
]Authorizations
Auth0 JWT access token. See Authentication for details.
Response
200 - application/json
Successful Response
Deprecated: the same value as settlement_address, kept for existing clients.